<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

get_header( 'shop' );
?>
<?php if ( function_exists('yoast_breadcrumb') ) { ?>
<div class="wrp-min speedbar">
  <div class="speedbar-panel">
    <?php yoast_breadcrumb( '','' ); ?>
  </div>
</div>
<?php } ?>
<div class="page-head-cat">
  <div class="wrp-min">
    <div class="head-cat-title">
      <h1 class="title"><?php echo get_the_archive_title(); ?></h1>
    </div>
    <?php echo display_orderby_archive_shop(); ?>
  </div>
  <i class="bg-clouds"></i>
</div>
<div class="page-cat-bg">
  <div class="wrp page-cat-cont">
    <div class="entry-listpage list-c6">
      <?php if ( have_posts() ) : while( have_posts()  ) : the_post(); ?>
      <div class="entry entry-app">
        <?php echo get_template_part( 'inc/loop/loop-product' ); ?>
      </div>
		<?php endwhile; else: ?>
			<div class="alert wrp-min">
	    <div class="alert_in">
	    <div class="alert-title">
	    <i class="i__info"><svg width="24" height="24"><use xlink:href="#i__info"></use></svg></i>
	    اخطار
	    </div>
	    <div class="alert-cont">
	    محصولی برای نمایش وجود ندارد
	    </div>
	    </div>
	    </div>
		<?php endif; ?>
    </div>
    <div class="wrp-min">
      <?php if(function_exists('pagination')) pagination(); ?>
    </div>
  </div>
  <?php echo get_template_part( 'inc/block/footer' ); ?>
</div>
<?php
get_footer( 'shop' );
