<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' );
global $redux_fiveplay;
global $product; ?>
<?php if ( function_exists('yoast_breadcrumb') ) { ?>
<div class="wrp-min speedbar">
  <div class="speedbar-panel">
    <?php yoast_breadcrumb( '','' ); ?>
  </div>
</div>
<?php } ?>
<?php if ( have_posts() ) : while( have_posts()  ) : the_post(); ?>
<?php if(function_exists('PostViews')) { PostViews(get_the_ID()); } ?>
<article class="view-app">
  <div class="view-app-head dark-head dark-section">
    <div class="wrp-min">
			<?php
			/**
			 * Hook: woocommerce_before_single_product.
			 *
			 * @hooked woocommerce_output_all_notices - 10
			 */
			do_action( 'woocommerce_before_single_product' );
			?>
      <h1 class="title"><?php $english_name = get_the_title(); echo $english_name; ?></h1>
      <div class="view-app-main ignore-select" style="padding-bottom: 20px;">
        <div class="view-app-img">
          <figure class="img">
            <img style="width:auto;" src="<?php if( has_post_thumbnail() ) { the_post_thumbnail_url( 'medium' ); }else{ echo THEMEURL . '/images/default-thumbnail.png'; } ?>" alt="<?php echo $english_name; ?>" width="240" height="240" />
          </figure>
          <?php if (is_user_logged_in()) { ?>
          <div class="view-app-tools c-yellow">
            <a class="add-fav" data-id="<?php the_id(); ?>" href="#">
              <?php
              $favorite = get_post_meta($post->ID, 'favorite', true);
              if (is_array($favorite)) {
                if(in_array(get_current_user_id(), $favorite)){
                  $favorite_status = '#i__favfull';
                }else{
                  $favorite_status = '#i__fav';
                }
              }else{
                $favorite_status = '#i__fav';
              }
               ?>
              <svg width="24" height="24"><use xlink:href="<?php echo $favorite_status; ?>"></use></svg><span>علاقه مندی</span>
            </a>
          </div>
          <?php } ?>
        </div>
        <div class="view-app-data">
          <div class="specs-list">
						<?php do_action( 'woocommerce_product_meta_start' ); ?>
            <ul>
              <?php $post_meta = get_post_meta( $post->ID, 'fiveplay_update-date-google', true ); if(!empty($post_meta)){ ?>
              <li class="specs-item">
                <i class="spec-icon c-green">
                  <svg width="24" height="24"><use xlink:href="#i__update"></use></svg>
                </i>
                <span class="spec-label">آپدیت</span>
                <time class="spec-cont"><?php if(function_exists('parsidate')) {echo parsidate(get_option('date_format'), strtotime($post_meta));}else{echo $post_meta;} ?></time>
              </li>
              <?php } ?>
              <?php $post_meta = get_post_meta( $post->ID, 'fiveplay_version', true ); if(!empty($post_meta)){ ?>
              <li class="specs-item">
                <i class="spec-icon c-green">
                  <svg width="24" height="24"><use xlink:href="#i__vers"></use></svg>
                </i>
                <span class="spec-label">نسخه</span>
                <span class="spec-cont"><?php echo $post_meta; ?></span>
              </li>
              <?php } ?>
              <?php $post_meta = get_post_meta( $post->ID, 'fiveplay_android', true ); if(!empty($post_meta)){ ?>
              <li class="specs-item">
                <i class="spec-icon c-green">
                  <svg width="24" height="24"><use xlink:href="#i__android"></use></svg>
                </i>
                <span class="spec-label">اندروید</span>
                <span class="spec-cont"><?php echo $post_meta; ?></span>
              </li>
              <?php } ?>
              <li class="specs-item">
                <i class="spec-icon c-green">
                  <svg width="24" height="24"><use xlink:href="#i__cat"></use></svg>
                </i>
                <span class="spec-label">دسته</span>
                <span class="spec-cont"><?php the_terms( $post->ID, 'product_cat', '', ' / ' ); ?></span>
              </li>
							<li class="specs-item">
                <i class="spec-icon c-green">
                  <svg width="24" height="24"><use xlink:href="#i__hot"></use></svg>
                </i>
                <span class="spec-label">فروش</span>
                <span class="spec-cont"><?php echo get_post_meta($post->ID, 'total_sales', true); ?></span>
              </li>
              
              <li class="specs-item">
                <i class="spec-icon c-green">
                  <svg width="24" height="24"><use xlink:href="#i__hot"></use></svg>
                </i>
                <span class="spec-label">زمان تحویل</span>
                <span class="spec-cont"><?php echo "1 الی 5 ساعت کاری" ?></span>
              </li>
              
              <li class="specs-item">
                <i class="spec-icon c-green">
                  <svg width="24" height="24"><use xlink:href="#i__hot"></use></svg>
                </i>
                <span class="spec-label">توضیحات و قوانین</span>
                <span class="spec-cont"><?php echo "حتما توضیحات خوانده شود" ?></span>
              </li>
              
              <li class="specs-item">
                <i class="spec-icon c-green">
                  <svg width="24" height="24"><use xlink:href="#i__usd"></use></svg>
                </i>
                <span class="spec-label">قیمت</span>
                <span class="spec-cont"><p class="<?php echo esc_attr( apply_filters( 'woocommerce_product_price_class', 'price' ) ); ?>"><?php echo $product->get_price_html(); ?></p></span>
              </li>
							<li class="specs-item">
								<?php echo woocommerce_template_single_excerpt(); ?>
							</li>
            </ul>
						<?php do_action( 'woocommerce_product_meta_end' ); ?>
          </div>
          <div class="view-app-rate">
            <div class="likes" data-id="<?php the_id(); ?>">
              <a href="#" data-action="like">
                <span class="like-plus">
                  <svg width="24" height="24"><use xlink:href="#i__thumbup"></use></svg>+<span><?php $like = get_post_meta( $post->ID, 'like', true ); echo $like ? count($like) : '0'; ?></span>
                </span>
                <span class="sr-only">لایک</span>
              </a>
              <a href="#" data-action="dislike">
                <span class="like-minus">
                  <svg width="24" height="24"><use xlink:href="#i__thumbdown"></use></svg>-<span><?php $dislike = get_post_meta( $post->ID, 'dislike', true ); echo $dislike ? count($dislike) : '0'; ?></span><span class="sr-only">دیس لایک</span>
                </span>
              </a>
            </div>
            <ul class="rate-nums muted">
              <li>رای: <span id="vote-num-id-<?php the_id(); ?>"><?php if(is_array($like)){ $vote += $popularity['like'] = count($like); } if(is_array($dislike)){ $vote += $popularity['dislike'] = count($dislike); } echo !empty($vote) ? $vote : '0'; ?></span></li>
              <li>نظر: <?php comments_number( '0', '1', '%' ); ?></li>
            </ul>
            <div class="popularity">
              <div class="popularity-number">
                <div class="rating_status">
                  <div class="rating_progress_bar" title="درصد محبوبیت">
                    <?php
                    $sum = $popularity['like'] + $popularity['dislike'];
                    if ($sum > 0) {
                      $percent = (100 / $sum) * $popularity['like'];
                    }else{
                      $percent = 0;
                    }
                     ?>
                    <b>محبوبیت <?php echo (int)$percent; ?>%</b>
                    <span style="width: <?php echo $percent; ?>%;"><?php echo $percent; ?>%</span>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="btn-group">
						<?php woocommerce_template_single_add_to_cart(); ?>
          </div>
        </div>
      </div>
      <?php
			 $attachment_ids = $product->get_gallery_image_ids(); if ( $attachment_ids && $product->get_image_id() ) { ?>
        <div class="block b-screens">
          <div class="b-icon-title">
            <i class="s-yellow c-icon">
              <svg width="24" height="24"><use xlink:href="#i__cam"></use></svg>
            </i>
            <h3 class="b-title">اسکرین شات ها</h3>
          </div>
          <div class="b-cont">
            <div class="screenshots">
              <?php
                foreach ($attachment_ids as $key) {
									$image = wp_get_attachment_image_src($key, 'medium');
                  $big = wp_get_attachment_image_src($key, 'full');
                  echo '<a href="' . $big[0] . '"><img style="max-width: 100%;" src="' . $image[0] . '" alt="' . $english_name . '" /></a>';
                }
               ?>
            </div>
          </div>
        </div>
      <?php } ?>
    </div>
    <div class="background" style="display: none;">
      <div class="bg-img-blur">
        <i class="fit-cover"><img src="<?php the_post_thumbnail( 'medium' ); ?>" alt="<?php echo $english_name; ?>" width="10" height="10" /></i>
      </div>
      <i class="bg-circle-green"></i>
      <i class="bg-clouds">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2550 700" width="2550" height="700">
          <path
            fill="#142636"
            d="M554,100h-4A50,50,0,0,1,550,0h4a50,50,0,0,1,0,100Zm25,600H50a50,50,0,0,1,0-100h78.08a50,50,0,1,0,.11-100H98a50,50,0,0,1,0-100H238a50,50,0,0,0,0-100H194a50,50,0,0,1,0-100h56a50,50,0,0,0,.3-100H238A50,50,0,0,1,238,0H430a50,50,0,0,1,0,100H413.55a50,50,0,1,0,.05,100H630a50,50,0,0,1,0,100H521.55a50,50,0,1,0,0,100H526a50,50,0,0,1,0,100H445.55a50,50,0,0,0,.08,100H579a50,50,0,0,1,0,100Z"
          ></path>
          <path
            fill="#142636"
            d="M2073,700a50,50,0,0,1,0-100h16.43a50,50,0,0,0,0-100H1901a50,50,0,0,1,0-100h216.42a50,50,0,0,0,0-100H2097a50,50,0,0,1-50-50h0a50,50,0,0,1,50-50h252a50,50,0,0,1,0,100h-28a50,50,0,0,0,0,100h24a50,50,0,0,1,0,100h-24a50,50,0,0,0,0,100h179a50,50,0,0,1,0,100Z"
          ></path>
        </svg>
      </i>
    </div>
  </div>
  <div class="wrp-min block-list">
    <div class="block b-add-info">
      <div class="b-tabs" role="tablist">
        <a class="tab-item active" href="#app_description">توضیحات</a>
      </div>
      <div class="b-cont tab-content">
        <div class="tab-pane text" id="app_description" style="display: block;">
          <?php the_content(); ?>
					<?php echo wc_get_product_tag_list( $product->get_id(), ', ', '<div class="tags">' . _n( 'Tag:', 'Tags:', count( $product->get_tag_ids() ), 'woocommerce' ) . ' ', '</div>' ); ?>
        </div>
      </div>
    </div>
    <?php if ( is_single() && comments_open() ) { ?>
    <div class="block b-comments">
      <div class="b-head">
        <h3 class="section-title">
          <i class="s-purple c-icon">
            <svg width="24" height="24"><use xlink:href="#i__coms"></use></svg>
          </i>
          <?php comments_number( '0 نظر', '1 نظر', '%' ) ?>
        </h3>
        <a href="#respond" class="btn s-green btn-all anchor">
          <span>ارسال نظر</span><svg width="24" height="24"><use xlink:href="#i__keyright"></use></svg>
        </a>
      </div>
      <div class="b-cont">
        <?php comments_template(); ?>
      </div>
    </div>
    <?php } ?>
  </div>
</article>
<?php endwhile; endif; ?>
<section class="wrp section section-related">
  <div class="section-head">
    <h3 class="section-title">
      <i class="s-blue c-icon">
        <svg width="24" height="24"><use xlink:href="#i__explore"></use></svg>
      </i>
      محصولات مشابه
    </h3>
    <?php
		$post_parent = get_post_meta($post->ID, '_post_id_parent', true);
     ?>
    <a class="btn s-green btn-all" href="<?php echo get_permalink( $post_parent ); ?>">
      <span>همه</span><svg width="24" height="24"><use xlink:href="#i__arrowleft"></use></svg>
    </a>
  </div>
  <div class="entry-list list-c6">
    <?php
    $args = array(
      'post_type' => 'product',
      'meta_key' => '_post_id_parent',
			'meta_value' => $post_parent,
      'posts_per_page' => 6,
      'post__not_in' => array(get_the_id())
    );
    $query = new WP_Query( $args );
    if ( $query->have_posts() ) {
      while ( $query->have_posts() ) {
        $query->the_post();
    ?>
    <div class="entry entry-app">
      <?php echo get_template_part( 'inc/loop/loop-product' ); ?>
    </div>
    <?php
      }
    }
    wp_reset_postdata();
     ?>
  </div>
</section>
<?php echo get_template_part( 'inc/block/footer' ); ?>
<?php
get_footer( 'shop' );

/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */
